import App from './App'

import * as tool from "@/utils/tool.js"; // 全局api工具类
import * as utils from "@/utils/utils.js"; //工具类
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'

import Videojs from 'video.js'
import 'video.js/dist/video-js.min.css' 
Vue.prototype.$video = Videojs 

// 注册全局过滤器
import * as filters from '@/filters' //全局过滤器
Object.keys(filters).forEach(key => {
	Vue.filter(key, filters[key])
})

Vue.prototype.$api = tool; // 全局api二次封装类
Vue.prototype.$util = utils; // 全局工具类


Vue.prototype.$onLaunched = new Promise(resolve => {
    Vue.prototype.$isResolve = resolve
})


const app = new Vue({
    ...App
})
app.$mount()
